# Asterisk Project : Asterisk 13 Function_CALENDAR_EVENT

Created by wikibot on Aug 08, 2014

# CALENDAR_EVENT()

### Synopsis

Get calendar event notification data from a notification call.

### Description

Whenever a calendar event notification call is made, the event data may be accessed with this function.

### Syntax

    CALENDAR_EVENT(field)

##### Arguments

- `field`
  - `summary` - The VEVENT SUMMARY property or Exchange event 'subject'
  - `description` - The text description of the event
  - `organizer` - The organizer of the event
  - `location` - The location of the eventt
  - `categories` - The categories of the event
  - `priority` - The priority of the event
  - `calendar` - The name of the calendar associated with the event
  - `uid` - The unique identifier for this event
  - `start` - The start time of the event
  - `end` - The end time of the event
  - `busystate` - The busy state of the event 0=FREE, 1=TENTATIVE, 2=BUSY

### See Also

- Asterisk 13 Function_CALENDAR_BUSY
- Asterisk 13 Function_CALENDAR_QUERY
- Asterisk 13 Function_CALENDAR_QUERY_RESULT
- Asterisk 13 Function_CALENDAR_WRITE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538